[arch-commits] Commit in miro/repos (4 files)

Ronald van Haren ronald at archlinux.org
Sun Sep 21 12:31:02 UTC 2008


    Date: Sunday, September 21, 2008 @ 08:30:57
  Author: ronald
Revision: 12821

Merged revisions 12818-12819 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/miro/trunk

........
  r12818 | ronald | 2008-09-21 14:12:34 +0200 (Sun, 21 Sep 2008) | 1 line
  
  upgpkg: miro 1.2.7-2
........
  r12819 | ronald | 2008-09-21 14:14:02 +0200 (Sun, 21 Sep 2008) | 1 line
  
  upgpkg: miro 1.2.7-2
........

Added:
  miro/repos/testing-i686/boost_1.36.0_fix.patch
    (from rev 12819, miro/trunk/boost_1.36.0_fix.patch)
  miro/repos/testing-i686/miro.install
    (from rev 12819, miro/trunk/miro.install)
Modified:
  miro/repos/testing-i686/	(properties)
  miro/repos/testing-i686/PKGBUILD

------------------------+
 PKGBUILD               |   12 ++++++++----
 boost_1.36.0_fix.patch |   32 ++++++++++++++++++++++++++++++++
 miro.install           |   17 +++++++++++++++++
 3 files changed, 57 insertions(+), 4 deletions(-)


Property changes on: miro/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /miro/trunk:1-10554
   + /miro/trunk:1-12820

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-09-21 12:17:11 UTC (rev 12820)
+++ testing-i686/PKGBUILD	2008-09-21 12:30:57 UTC (rev 12821)
@@ -3,14 +3,15 @@
 
 pkgname=miro
 pkgver=1.2.7
-pkgrel=1
+pkgrel=2
 pkgdesc="The free and open source internet TV platform"
 arch=('i686' 'x86_64')
 url="http://www.getmiro.com"
 license=('GPL2')
-depends=('xine-lib>=1.1.12' 'boost>=1.35.0' 'gnome-python-extras>=2.19.1'
+depends=('xine-lib>=1.1.12' 'boost>=1.36.0' 'gnome-python-extras>=2.19.1'
 	 'dbus-python>=0.82.4' 'pyrex' 'xulrunner>=1.9.0.1' 'gtk2' 'nspr')
 makedepends=('pkgconfig' 'qt3')
+install=miro.install
 conflicts=('democracy')
 replaces=('democracy')
 provides=('democracy')
@@ -19,15 +20,18 @@
 #http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-${pkgver}.tar.gz
 source=(http://dev.archlinux.org/~ronald/Miro-1.2.7.tar.gz
         missing-headers.patch
-	Miro-xulrunner.patch)
+	Miro-xulrunner.patch
+	boost_1.36.0_fix.patch)
 md5sums=('e55150642de55fc52eb2599e3dc6fe21'
          'b5482eac565a26817af0105b061a8ad5'
-         '3c06b40cd13c2fb202f58dcf64d4b524')
+         '3c06b40cd13c2fb202f58dcf64d4b524'
+         '3b4e1eac01155b9de381b0744ba9d725')
 
 build() {
   cd ${srcdir}/Miro-${pkgver}
   patch -Np1 -i ${srcdir}/missing-headers.patch || return 1
   patch -Np1 -i ${srcdir}/Miro-xulrunner.patch || return 1
+  patch -Np1 -i ${srcdir}/boost_1.36.0_fix.patch || return 1
 
   cd platform/gtk-x11
   python setup.py install --root=${pkgdir} || return 1

Copied: miro/repos/testing-i686/boost_1.36.0_fix.patch (from rev 12819, miro/trunk/boost_1.36.0_fix.patch)
===================================================================
--- testing-i686/boost_1.36.0_fix.patch	                        (rev 0)
+++ testing-i686/boost_1.36.0_fix.patch	2008-09-21 12:30:57 UTC (rev 12821)
@@ -0,0 +1,32 @@
+--- Miro-1.2.7/portable/libtorrent/src/torrent_info.cpp.old	2008-09-21 13:47:00.122974031 +0200
++++ Miro-1.2.7/portable/libtorrent/src/torrent_info.cpp	2008-09-21 13:48:54.812965713 +0200
+@@ -352,7 +352,7 @@
+ 		fs::path tmp = m_name;
+ 		if (tmp.is_complete()) throw std::runtime_error("torrent contains "
+ 			"a file with an absolute path: '" + m_name + "'");
+-		if (tmp.has_branch_path()) throw std::runtime_error(
++		if (!tmp.branch_path().empty()) throw std::runtime_error(
+ 			"torrent contains name with directories: '" + m_name + "'");
+ 	
+ 		// extract file list
+@@ -556,7 +556,7 @@
+ 	{
+ //		TORRENT_ASSERT(file.begin() != file.end());
+ 
+-		if (!file.has_branch_path())
++		if (file.branch_path().empty())
+ 		{
+ 			// you have already added at least one file with a
+ 			// path to the file (branch_path), which means that
+
+--- Miro-1.2.7/portable/libtorrent/include/libtorrent/disk_io_thread.hpp.old	2008-09-21 13:57:05.433330334 +0200
++++ Miro-1.2.7/portable/libtorrent/include/libtorrent/disk_io_thread.hpp	2008-09-21 13:57:29.060304305 +0200
+@@ -41,6 +41,7 @@
+ #include <boost/bind.hpp>
+ #include <boost/pool/pool.hpp>
+ #include <boost/noncopyable.hpp>
++#include <boost/thread/condition.hpp>
+ #include "libtorrent/config.hpp"
+ 
+ namespace libtorrent
+

Copied: miro/repos/testing-i686/miro.install (from rev 12819, miro/trunk/miro.install)
===================================================================
--- testing-i686/miro.install	                        (rev 0)
+++ testing-i686/miro.install	2008-09-21 12:30:57 UTC (rev 12821)
@@ -0,0 +1,17 @@
+post_install() {
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  update-desktop-database -q
+}
+
+op=$1
+shift
+
+$op $*
+




More information about the arch-commits mailing list